#
# Table structure for table `banned`
#

CREATE TABLE {$db_prefix}banned (
  type tinytext NOT NULL,
  value tinytext NOT NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `boards`
#

CREATE TABLE {$db_prefix}boards (
  ID_CAT tinyint(4) NOT NULL default '0',
  ID_BOARD int(11) NOT NULL auto_increment,
  name tinytext NOT NULL,
  description text,
  moderators text,
  boardOrder tinyint(4) NOT NULL default '0',
  numTopics int(11) NOT NULL default '0',
  numPosts int(11) NOT NULL default '0',
  isAnnouncement tinyint(4) NOT NULL default '0',
  notifyAnnouncements tinyint(4) NOT NULL default '0',
  count tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (ID_BOARD)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `categories`
#

CREATE TABLE {$db_prefix}categories (
  ID_CAT tinyint(4) NOT NULL auto_increment,
  name tinytext NOT NULL,
  memberGroups text,
  catOrder tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (ID_CAT)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `censor`
#

CREATE TABLE {$db_prefix}censor (
  vulgar tinytext,
  proper tinytext
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `instant_messages`
#

CREATE TABLE {$db_prefix}instant_messages (
  ID_IM bigint(20) NOT NULL auto_increment,
  ID_MEMBER_FROM int(11) NOT NULL default '0',
  ID_MEMBER_TO int(11) NOT NULL default '0',
  deletedBy int(11) NOT NULL default '-1',
  fromName tinytext NOT NULL,
  toName tinytext NOT NULL,
  msgtime bigint(20) default NULL,
  subject tinytext,
  body text,
  PRIMARY KEY  (ID_IM)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_activity`
#

CREATE TABLE {$db_prefix}log_activity (
  month tinyint(4) NOT NULL default '0',
  day tinyint(4) NOT NULL default '0',
  year mediumint(9) NOT NULL default '0',
  hits int(11) NOT NULL default '0',
  topics int(11) NOT NULL default '0',
  posts int(11) NOT NULL default '0',
  registers int(11) NOT NULL default '0',
  mostOn int(11) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_banned`
#

CREATE TABLE {$db_prefix}log_banned (
  ip tinytext,
  email tinytext,
  logTime bigint(20) default NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_boards`
#

CREATE TABLE {$db_prefix}log_boards (
  memberName tinytext NOT NULL,
  ID_BOARD int(11) NOT NULL default '0',
  logTime bigint(20) default NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_clicks`
#

CREATE TABLE {$db_prefix}log_clicks (
  ip tinytext,
  logTime bigint(20) NOT NULL default '0',
  agent tinytext,
  toUrl tinytext,
  fromUrl tinytext,
  KEY logTime (logTime)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_errors`
#

CREATE TABLE {$db_prefix}log_errors (
  ID_ERROR bigint(20) NOT NULL auto_increment,
  logTime bigint(20) NOT NULL default '0',
  memberName tinytext NOT NULL,
  IP tinytext NOT NULL,
  url text NOT NULL,
  message text NOT NULL,
  PRIMARY KEY  (ID_ERROR)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_floodcontrol`
#

CREATE TABLE {$db_prefix}log_floodcontrol (
  ip tinytext,
  logTime bigint(20) default NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_karma`
#

CREATE TABLE {$db_prefix}log_karma (
  ID_TARGET int(11) NOT NULL default '0',
  ID_EXECUTOR int(11) NOT NULL default '0',
  action tinytext NOT NULL,
  logTime bigint(20) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_mark_read`
#

CREATE TABLE {$db_prefix}log_mark_read (
  memberName tinytext NOT NULL,
  ID_BOARD int(11) NOT NULL default '0',
  logTime bigint(20) default NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_online`
#

CREATE TABLE {$db_prefix}log_online (
  identity tinytext NOT NULL,
  logTime bigint(20) default NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `log_topics`
#

CREATE TABLE {$db_prefix}log_topics (
  memberName tinytext NOT NULL,
  ID_TOPIC int(11) NOT NULL default '0',
  logTime bigint(20) default NULL,
  notificationSent tinyint(4) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `membergroups`
#

CREATE TABLE {$db_prefix}membergroups (
  ID_GROUP tinyint(4) NOT NULL auto_increment,
  membergroup tinytext NOT NULL,
  grouptype tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (ID_GROUP)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `members`
#

CREATE TABLE {$db_prefix}members (
  ID_MEMBER int(10) unsigned NOT NULL auto_increment,
  memberName varchar(80) NOT NULL default '',
  realName tinytext,
  passwd tinytext NOT NULL,
  emailAddress tinytext,
  dateRegistered bigint(20) default NULL,
  personalText tinytext,
  memberGroup tinytext,
  gender tinytext,
  birthdate date NOT NULL default '0000-00-00',
  websiteTitle tinytext,
  websiteUrl tinytext,
  location tinytext,
  ICQ tinytext,
  AIM tinytext,
  YIM tinytext,
  hideEmail tinyint(4) default NULL,
  timeFormat tinytext,
  signature text,
  posts int(11) default NULL,
  timeOffset float default NULL,
  avatar tinytext,
  im_ignore_list text,
  im_email_notify tinyint(4) NOT NULL default '0',
  lastLogin bigint(20) default NULL,
  karmaBad tinyint(4) NOT NULL default '0',
  karmaGood tinyint(4) NOT NULL default '0',
  usertitle tinytext,
  lngfile tinytext,
  notifyAnnouncements tinyint(4) NOT NULL default '1',
  notifyOnce tinyint(4) NOT NULL default '1',
  MSN tinytext,
  memberIP tinytext,
  secretQuestion tinytext NOT NULL,
  secretAnswer tinytext NOT NULL,
  PRIMARY KEY  (ID_MEMBER),
  UNIQUE KEY memberID (ID_MEMBER),
  KEY memberID_2 (ID_MEMBER)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `messages`
#

CREATE TABLE {$db_prefix}messages (
  ID_MSG int(11) NOT NULL auto_increment,
  ID_TOPIC int(11) NOT NULL default '0',
  ID_MEMBER int(11) NOT NULL default '0',
  subject tinytext,
  posterName tinytext NOT NULL,
  posterEmail tinytext,
  posterTime bigint(20) default NULL,
  posterIP tinytext NOT NULL,
  smiliesEnabled tinyint(4) NOT NULL default '1',
  modifiedTime bigint(20) default NULL,
  modifiedName tinytext,
  body text,
  icon tinytext,
  attachmentSize mediumint(9) NOT NULL default '0',
  attachmentFilename tinytext,
  PRIMARY KEY  (ID_MSG),
  KEY ID_TOPIC (ID_TOPIC)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `polls`
#

CREATE TABLE {$db_prefix}polls (
  ID_POLL int(11) NOT NULL auto_increment,
  question tinytext NOT NULL,
  votingLocked tinyint(4) NOT NULL default '0',
  votedMemberIDs text,
  option1 tinytext,
  option2 tinytext,
  option3 tinytext,
  option4 tinytext,
  option5 tinytext,
  option6 tinytext,
  option7 tinytext,
  option8 tinytext,
  votes1 int(11) NOT NULL default '0',
  votes2 int(11) NOT NULL default '0',
  votes3 int(11) NOT NULL default '0',
  votes4 int(11) NOT NULL default '0',
  votes5 int(11) NOT NULL default '0',
  votes6 int(11) NOT NULL default '0',
  votes7 int(11) NOT NULL default '0',
  votes8 int(11) NOT NULL default '0',
  PRIMARY KEY  (ID_POLL)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `reserved_names`
#

CREATE TABLE {$db_prefix}reserved_names (
  setting tinytext NOT NULL,
  value text NOT NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `settings`
#

CREATE TABLE {$db_prefix}settings (
  variable tinytext NOT NULL,
  value text NOT NULL
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `topics`
#

CREATE TABLE {$db_prefix}topics (
  ID_TOPIC int(11) NOT NULL auto_increment,
  ID_BOARD int(11) NOT NULL default '0',
  ID_MEMBER_STARTED int(11) NOT NULL default '0',
  ID_MEMBER_UPDATED int(11) NOT NULL default '0',
  ID_FIRST_MSG int(11) NOT NULL default '0',
  ID_LAST_MSG int(11) NOT NULL default '0',
  ID_POLL int(11) NOT NULL default '-1',
  numReplies int(11) NOT NULL default '0',
  numViews int(11) NOT NULL default '0',
  locked tinyint(4) NOT NULL default '0',
  notifies text,
  isSticky tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (ID_TOPIC)
) TYPE=MyISAM;


INSERT INTO {$db_prefix}boards VALUES (1, 1, 'General Discussion', 'Feel free to talk about anything and everything in this board.', '', 0, 1, 1, 0, 0, 0); 

INSERT INTO {$db_prefix}categories VALUES (1, 'General Category', '', 0);

INSERT INTO {$db_prefix}membergroups VALUES (1, 'Administrator', 0);
INSERT INTO {$db_prefix}membergroups VALUES (2, 'Moderator', 0);
INSERT INTO {$db_prefix}membergroups VALUES (3, 'Newbie', 0);
INSERT INTO {$db_prefix}membergroups VALUES (4, 'Jr. Member', 0);
INSERT INTO {$db_prefix}membergroups VALUES (5, 'Full Member', 0);
INSERT INTO {$db_prefix}membergroups VALUES (6, 'Sr. Member', 0);
INSERT INTO {$db_prefix}membergroups VALUES (7, 'YaBB God', 0);
INSERT INTO {$db_prefix}membergroups VALUES (8, 'Global Moderator', 0);

INSERT INTO {$db_prefix}messages VALUES (1, 1, -1, 'Welcome to YaBB SE!', 'YaBB SE Dev Team', 'yabbsedev@yabb.info', 1007831725, '65.93.102.203', 1, NULL, NULL, 'Welcome to YaBB SE!\n\nWe hope you enjoy using your new forum.', 'xx','0','');

INSERT INTO {$db_prefix}reserved_names VALUES ('matchword', '0');
INSERT INTO {$db_prefix}reserved_names VALUES ('matchcase', '1');
INSERT INTO {$db_prefix}reserved_names VALUES ('matchuser', '1');
INSERT INTO {$db_prefix}reserved_names VALUES ('matchname', '1');
INSERT INTO {$db_prefix}reserved_names VALUES ('word', 'Admin');
INSERT INTO {$db_prefix}reserved_names VALUES ('word', 'Webmaster');



INSERT INTO {$db_prefix}settings VALUES ('news', 'YaBB SE - Just Installed');
INSERT INTO {$db_prefix}settings VALUES ('viewMode', '0');
INSERT INTO {$db_prefix}settings VALUES ('compactTopicPagesContiguous', '5');
INSERT INTO {$db_prefix}settings VALUES ('compactTopicPagesEnable', '1');
INSERT INTO {$db_prefix}settings VALUES ('userViewOverride', '0');
INSERT INTO {$db_prefix}settings VALUES ('agreement', 'You agree, through your use of this YaBB forum, that you will not post any material which is false, defamatory, inaccurate, abusive, vulgar, hateful, harassing, obscene, profane, sexually oriented, threatening, invasive of a person\'s privacy, or otherwise in violation of ANY law. This is not only humorous, but legal actions can be taken against you. You also agree not to post any copyrighted material unless the copyright is owned by you or you have consent from the owner of the copyrighted material. Spam, flooding, advertisements, chain letters, pyramid schemes, and solicitations are also inappropriate to this YaBB forum. \r\n\r\nNote that it is impossible for us to confirm the validity of posts on this YaBB forum. Please remember that we do not actively monitor the posted messages and are not responsible for their content. We do not warrant the accuracy, completeness or usefulness of any information presented. The messages express the views of the author, not necessarily the views of this YaBB forum. Anyone who feels that a posted message is objectionable is encouraged to notify an administrator of this forum immediately. We have the rights to remove objectionable content, within a reasonable time frame, if we determine that removal is necessary. This is a manual process, however, so please realize that we may not be able to remove or edit particular messages immediately. This policy goes for member profile information as well.\r\n\r\nYou remain solely responsible for the content of your messages, and you agree to indemnify and hold harmless this forum, and any related websites to this forum. We at this YaBB forum also reserve the right to reveal your identity (or any information we have about you) in the event of a complaint or legal action arising from any information posted by you.\r\n\r\nYou have the ability, as you register, to choose your username. We advise that you keep the name appropriate. With this user account you are about to register, you agree to never give your password out to another member, for your protection and for validity reasons. You also agree to NEVER use another member\'s account to post messages or browse this forum.\r\n\r\nAfter you register and log into this YaBB forum, you can fill out a detailed profile. It is your responsibility to present clean and accurate information. Any information we deem inaccurate or vulgar will be removed.\r\n\r\nPlease note that with each post, your IP address is recorded, in the event that you need to be banned from this YaBB forum or your ISP contacted. This will only happen in the event of a major violation of this agreement.\r\n\r\nAlso note that the software places a cookie, a text file containing bits of information (such as your username and password), in your browsers cache. This is ONLY used to keep you logged in/out. The software does not collect or sends any other form of information to your computer.');
INSERT INTO {$db_prefix}settings VALUES ('maxdays', '30');
INSERT INTO {$db_prefix}settings VALUES ('yabbinfo', '0');
INSERT INTO {$db_prefix}settings VALUES ('enableStickyTopics', '1');
INSERT INTO {$db_prefix}settings VALUES ('todayMod', '1');
INSERT INTO {$db_prefix}settings VALUES ('karmaMode', '0');
INSERT INTO {$db_prefix}settings VALUES ('karmaTimeRestrictAdmins', '1');
INSERT INTO {$db_prefix}settings VALUES ('enablePreviousNext', '1');
INSERT INTO {$db_prefix}settings VALUES ('PreviousNext_back', '<sub> previous</sub>');
INSERT INTO {$db_prefix}settings VALUES ('PreviousNext_forward', '<sub>next </sub>');
INSERT INTO {$db_prefix}settings VALUES ('pollPostingRestrictions', '0');
INSERT INTO {$db_prefix}settings VALUES ('pollMode', '1');
INSERT INTO {$db_prefix}settings VALUES ('pollEditMode', '0');
INSERT INTO {$db_prefix}settings VALUES ('enableVBStyleLogin', '1');
INSERT INTO {$db_prefix}settings VALUES ('enableCompressedOutput', '1');
INSERT INTO {$db_prefix}settings VALUES ('karmaWaitTime', '1');
INSERT INTO {$db_prefix}settings VALUES ('karmaMinPosts', '0');
INSERT INTO {$db_prefix}settings VALUES ('karmaMemberGroups', 'Administrator');
INSERT INTO {$db_prefix}settings VALUES ('karmaLabel', 'Karma:');
INSERT INTO {$db_prefix}settings VALUES ('karmaSmiteLabel', '[smite]');
INSERT INTO {$db_prefix}settings VALUES ('karmaApplaudLabel', '[applaud]');
INSERT INTO {$db_prefix}settings VALUES ('attachmentSizeLimit', '100');
INSERT INTO {$db_prefix}settings VALUES ('attachmentDirSizeLimit', '10240');
INSERT INTO {$db_prefix}settings VALUES ('attachmentUploadDir', '/home/httpd/myserver/attachments');
INSERT INTO {$db_prefix}settings VALUES ('attachmentUrl', 'http://www.myserver.com/attachments');
INSERT INTO {$db_prefix}settings VALUES ('attachmentExtensions', 'txt,jpg,gif,pdf,mpg,png');
INSERT INTO {$db_prefix}settings VALUES ('attachmentCheckExtensions', '1');
INSERT INTO {$db_prefix}settings VALUES ('attachmentShowImages', '1');
INSERT INTO {$db_prefix}settings VALUES ('attachmentEnable', '1');
INSERT INTO {$db_prefix}settings VALUES ('attachmentEnableGuest', '0');
INSERT INTO {$db_prefix}settings VALUES ('attachmentMemberGroups', 'Administrator');
INSERT INTO {$db_prefix}settings VALUES ('disableCaching', '0');
INSERT INTO {$db_prefix}settings VALUES ('enableInlineLinks', '0');
INSERT INTO {$db_prefix}settings VALUES ('enableSP1Info', '1');
INSERT INTO {$db_prefix}settings VALUES ('censorWholeWord', '0');
INSERT INTO {$db_prefix}settings VALUES ('mostOnline', '0');
INSERT INTO {$db_prefix}settings VALUES ('mostDate', '1016475344');
INSERT INTO {$db_prefix}settings VALUES ('notifyAnncmnts_UserDisable', '1');
INSERT INTO {$db_prefix}settings VALUES ('viewNewestFirst', '0');
INSERT INTO {$db_prefix}settings VALUES ('trackStats', '1');
INSERT INTO {$db_prefix}settings VALUES ('hitStats', '0');
INSERT INTO {$db_prefix}settings VALUES ('userLanguage', '1');
INSERT INTO {$db_prefix}settings VALUES ('titlesEnable', '1');
INSERT INTO {$db_prefix}settings VALUES ('topicSummaryPosts', '15');
INSERT INTO {$db_prefix}settings VALUES ('enableUserTopicLocking', '1');
INSERT INTO {$db_prefix}settings VALUES ('enableReportToMod', '1');
INSERT INTO {$db_prefix}settings VALUES ('enableErrorLogging', '1');
INSERT INTO {$db_prefix}settings VALUES ('maxwidth', '0');
INSERT INTO {$db_prefix}settings VALUES ('maxheight', '0');
INSERT INTO {$db_prefix}settings VALUES ('onlineEnable', '0');

INSERT INTO {$db_prefix}topics VALUES (1, 1, -1, -1, 1, 1, -1, 0, 0, 0, NULL, 0);

